#!/home/ND/bin/perl


=head1 NAME

masterIndex.pl - Create master index


=head1 SYNOPSIS

perl masterIndex.pl


=head1 DESCRIPTION

master index is a database that includes all documents in each categories. This index is generated using the add_indexes funcation in Plucene::Index::Writer 


=head1 AUTHOR

Xiaorong Xiang <xxiang1@nd.edu>

=cut

# include the necessary modules
use MyLibrary::Core;
use strict;
use Plucene::Document;
use Plucene::Document::Field;
use Plucene::Index::Writer;
use Plucene::Analysis::SimpleAnalyzer;

# do the work
#mergindex('master', qw(articles ebooks journals library_science mathematics thesis_disertations medicine biological_science education teachers sheet_music));
#
#sub mergindex{
#
#	my ($mergname, @name) = @_;
#	my $writer = Plucene::Index::Writer->new($mergname, Plucene::Analysis::SimpleAnalyzer->new(), 1);
#	$writer->add_indexes(@name);
#	$writer->optimize;
#	undef $writer;
#	
#}

# do the work
mergindex('master', qw(articles ebooks journals library_science mathematics thesis_disertations medicine biological_science education teachers sheet_music));

sub mergindex{

	my ($mergname, @name) = @_;
	my $writer = Plucene::Index::Writer->new($mergname, Plucene::Analysis::SimpleAnalyzer->new(), 0);
	$writer->add_indexes(@name);
	$writer->optimize;
	undef $writer;
	
}

