-- MySQL dump 10.8
--
-- Host: localhost    Database: mylibrary
-- ------------------------------------------------------
-- Server version	4.1.7-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE="NO_AUTO_VALUE_ON_ZERO" */;

--
-- Table structure for table `components4interfaces`
--

DROP TABLE IF EXISTS `components4interfaces`;
CREATE TABLE `components4interfaces` (
  `interface_component_id` int(10) NOT NULL default '0',
  `interface_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`interface_component_id`,`interface_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `facets`
--

DROP TABLE IF EXISTS `facets`;
CREATE TABLE `facets` (
  `facet_id` int(10) NOT NULL default '0',
  `facet_name` varchar(255) NOT NULL default '',
  `facet_note` text,
  PRIMARY KEY  (`facet_id`),
  UNIQUE KEY `facet_name` (`facet_name`),
  KEY `facet_name_2` (`facet_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `help_simple`
--

DROP TABLE IF EXISTS `help_simple`;
CREATE TABLE `help_simple` (
  `help_id` int(10) NOT NULL default '0',
  `help_title` varchar(255) default NULL,
  `help_text` text,
  PRIMARY KEY  (`help_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `interface`
--

DROP TABLE IF EXISTS `interface`;
CREATE TABLE `interface` (
  `interface_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `html` text NOT NULL,
  `options` text,
  PRIMARY KEY  (`interface_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `interface_component`
--

DROP TABLE IF EXISTS `interface_component`;
CREATE TABLE `interface_component` (
  `interface_component_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `html` text NOT NULL,
  `options` text,
  PRIMARY KEY  (`interface_component_id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `librarians`
--

DROP TABLE IF EXISTS `librarians`;
CREATE TABLE `librarians` (
  `librarian_id` int(10) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `telephone` varchar(255) NOT NULL default '',
  `email` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  PRIMARY KEY  (`librarian_id`,`librarian_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `messages`
--

DROP TABLE IF EXISTS `messages`;
CREATE TABLE `messages` (
  `message_id` int(10) NOT NULL default '0',
  `message_date` date NOT NULL default '0000-00-00',
  `message` text NOT NULL,
  `message_global` int(1) NOT NULL default '0',
  PRIMARY KEY  (`message_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `new_item_profiles`
--

DROP TABLE IF EXISTS `new_item_profiles`;
CREATE TABLE `new_item_profiles` (
  `profile_id` int(10) NOT NULL default '0',
  `profile` text NOT NULL,
  `patron_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`profile_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `patrons`
--

DROP TABLE IF EXISTS `patrons`;
CREATE TABLE `patrons` (
  `patron_id` int(10) NOT NULL default '0',
  `name_f` varchar(255) default NULL,
  `name_l` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `page_title` varchar(255) default NULL,
  `term_id` int(10) default NULL,
  `telephone` varchar(255) NOT NULL default '',
  `zipcode` varchar(255) NOT NULL default '',
  `address_1` varchar(255) default NULL,
  `address_2` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `state` char(2) default NULL,
  `can_contact` int(1) default NULL,
  `password` varchar(255) default NULL,
  `last_query` varchar(255) default NULL,
  `wants_html` int(1) default NULL,
  `wants_ca` int(1) default NULL,
  `wants_cookie` int(1) default NULL,
  `username` varchar(255) default NULL,
  `remote_ip` varchar(50) default NULL,
  `remote_name` varchar(50) default NULL,
  `browser` varchar(50) default NULL,
  `last_visit` datetime default NULL,
  `total_visits` mediumint(8) unsigned default '0',
  `template_id` int(10) NOT NULL default '0',
  `stylesheet_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`patron_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `patrons_resources`
--

DROP TABLE IF EXISTS `patrons_resources`;
CREATE TABLE `patrons_resources` (
  `resource_id` int(10) NOT NULL default '0',
  `patron_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`resource_id`,`patron_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `personallinks`
--

DROP TABLE IF EXISTS `personallinks`;
CREATE TABLE `personallinks` (
  `link_id` int(10) NOT NULL default '0',
  `patron_id` int(10) default NULL,
  `link_name` varchar(255) default NULL,
  `link_url` varchar(255) default NULL,
  PRIMARY KEY  (`link_id`,`link_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `preferences`
--

DROP TABLE IF EXISTS `preferences`;
CREATE TABLE `preferences` (
  `PREFERNECE_ID` int(10) NOT NULL default '0',
  `SHOW_QUICK_SEARCHES` int(1) NOT NULL default '0',
  `MESSSAGE_FROM_LIBRARIAN` varchar(255) NOT NULL default '',
  `YOUR_LIBRARIANS` varchar(255) NOT NULL default '',
  `CURRENT_AWARENESS` varchar(255) NOT NULL default '',
  `PERSONAL_LINKS` varchar(255) NOT NULL default '',
  `FOOTER` text NOT NULL,
  `header` text NOT NULL,
  `SHOW_LIBREF` int(1) NOT NULL default '0',
  `GENERIC_BLURB` text NOT NULL,
  `SHOW_CAM` int(1) NOT NULL default '0',
  `MARION` varchar(255) NOT NULL default '',
  `DISCLAIMER` text NOT NULL,
  `FROM_ADDRESS` varchar(255) NOT NULL default '',
  `EXPIRES` varchar(255) NOT NULL default '',
  `PAGE_TITLE` varchar(255) NOT NULL default '',
  `SAVE_STATISTICS` int(1) NOT NULL default '0',
  `MANAGE_DISCIPLINE` int(1) NOT NULL default '0',
  `STATIC_PAGES_SHOW` int(1) NOT NULL default '0',
  `LIBRARIAN_BLURB` text NOT NULL,
  `MANAGER_BLURB` text NOT NULL,
  `facet_id` int(10) NOT NULL default '0',
  `TEMPLATE_ID` int(10) NOT NULL default '0',
  `TEMPLATE_FREE_ID` int(10) NOT NULL default '0',
  `stylesheet_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`PREFERNECE_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `resource_location`
--

DROP TABLE IF EXISTS `resource_location`;
CREATE TABLE `resource_location` (
  `resource_location_id` int(10) NOT NULL default '0',
  `resource_location` text NOT NULL,
  `resource_location_note` varchar(255) default NULL,
  `resource_location_type` int(10) NOT NULL default '0',
  `resource_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`resource_location_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `resource_location_type`
--

DROP TABLE IF EXISTS `resource_location_type`;
CREATE TABLE `resource_location_type` (
  `type_id` int(10) NOT NULL default '0',
  `type_name` varchar(255) NOT NULL default '',
  `type_description` text,
  PRIMARY KEY  (`type_id`),
  UNIQUE KEY `type_name` (`type_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `resources`
--

DROP TABLE IF EXISTS `resources`;
CREATE TABLE `resources` (
  `resource_id` int(10) NOT NULL default '0',
  `resource_name` varchar(255) NOT NULL default '',
  `resource_note` text,
  `resource_fkey` varchar(255) default '',
  `resource_date` date default '0000-00-00',
  `resource_lcd` int(1) default '0',
  `qsearch_prefix` varchar(255) default '',
  `qsearch_suffix` varchar(255) default '',
  `resource_proxied` int(1) NOT NULL default '0',
  `resource_creator` varchar(255) default NULL,
  `resource_publisher` varchar(255) default NULL,
  `resource_contributor` varchar(255) default NULL,
  `resource_coverage` varchar(255) default NULL,
  `resource_rights` varchar(255) default NULL,
  `resource_language` varchar(255) default NULL,
  `resource_source` varchar(255) default NULL,
  `resource_relation` varchar(255) default NULL,
  `resource_access_note` varchar(255) default NULL,
  `resource_coverage_info` varchar(255) default NULL,
  `resource_full_text` int(1) NOT NULL default '0',
  `resource_reference_linking` int(1) NOT NULL default '0',
  PRIMARY KEY  (`resource_id`),
  KEY `resource_name` (`resource_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `reviews`
--

DROP TABLE IF EXISTS `reviews`;
CREATE TABLE `reviews` (
  `review_id` int(10) NOT NULL default '0',
  `review` text NOT NULL,
  `reviewer_name` varchar(255) NOT NULL default '',
  `reviewer_email` varchar(255) NOT NULL default '',
  `review_date` date NOT NULL default '0000-00-00',
  `review_rating` varchar(255) NOT NULL default '',
  `term_id` int(10) NOT NULL default '0',
  `resource_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`review_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `sequence`
--

DROP TABLE IF EXISTS `sequence`;
CREATE TABLE `sequence` (
  `id` int(10) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `sequence` VALUES (1);

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `id` varchar(32) NOT NULL default '',
  `a_session` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `statistics`
--

DROP TABLE IF EXISTS `statistics`;
CREATE TABLE `statistics` (
  `statistic_id` int(10) NOT NULL default '0',
  `resource_id` int(10) NOT NULL default '0',
  `statistic_date` date NOT NULL default '0000-00-00',
  `statistic_query` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`statistic_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `stylesheets`
--

DROP TABLE IF EXISTS `stylesheets`;
CREATE TABLE `stylesheets` (
  `stylesheet_id` int(10) NOT NULL default '0',
  `stylesheet_name` varchar(255) NOT NULL default '',
  `stylesheet_description` text NOT NULL,
  `stylesheet` text NOT NULL,
  PRIMARY KEY  (`stylesheet_id`),
  UNIQUE KEY `stylesheet_name` (`stylesheet_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `suggestedResources`
--

DROP TABLE IF EXISTS `suggestedResources`;
CREATE TABLE `suggestedResources` (
  `term_id` int(10) NOT NULL default '0',
  `resource_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`resource_id`,`term_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `terms`
--

DROP TABLE IF EXISTS `terms`;
CREATE TABLE `terms` (
  `term_id` int(10) NOT NULL default '0',
  `term_name` varchar(255) NOT NULL default '',
  `term_note` text,
  `facet_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`term_id`),
  UNIQUE KEY `term_name` (`term_name`),
  KEY `facet_id` (`facet_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `terms_librarians`
--

DROP TABLE IF EXISTS `terms_librarians`;
CREATE TABLE `terms_librarians` (
  `term_id` int(10) NOT NULL default '0',
  `librarian_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`term_id`,`librarian_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `terms_messages`
--

DROP TABLE IF EXISTS `terms_messages`;
CREATE TABLE `terms_messages` (
  `message_id` int(10) NOT NULL default '0',
  `term_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`message_id`,`term_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `terms_resources`
--

DROP TABLE IF EXISTS `terms_resources`;
CREATE TABLE `terms_resources` (
  `resource_id` int(10) NOT NULL default '0',
  `term_id` int(10) NOT NULL default '0',
  PRIMARY KEY  (`resource_id`,`term_id`),
  KEY `term_id` (`term_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

