#!/usr/bin/perl

# home.cgi - a menu interface to MyLibrary administration

# Eric Lease Morgan <emorgan@nd.edu>


# require the necessary modules
use CGI qw/:standard/;
use CGI::Carp qw(fatalsToBrowser);
use strict;
use MyLibrary::Core;
require 'etc/subroutines.pl';

# initialize two global variables
my $cgi = CGI->new;

# output the 'magic line', a standard header, the content, and a standard footer, then done
print $cgi->header;
print &header;
print $cgi->h1('MyLibrary administration');
print $cgi->p('Use this system to manange your MyLibrary content.');
print &footer;
exit;



sub header {
	
	# return a standard html page; notice the stylesheet
	return <<EOH;
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>MyLibrary administration</title>
		<link rel='stylesheet' href='/etc/style-admin.css' type='text/css' />
	</head>
	<body>
		<div id="navcontainer">
			<ul id="navlist">
				<li><a href="home.cgi" id="current">Home</a></li>
				<li><a href="facets.cgi">Facets</a></li>
				<li><a href="terms.cgi">Terms</a></li>
				<li><a href="location-types.cgi">Location types</a></li>
				<li><a href="librarians.cgi">Librarians</a></li>
				<li><a href="resources.cgi">Resources</a></li>
			</ul>
		</div>
	
	<div class='menu'>
	</div>
	<div class='content'>
EOH

}
