package explain;
use strict;

sub record {
	my $email = 'emorgan@nd.edu';
	
	return <<EOF
<explain xmlns="http://explain.z3950.org/dtd/2.0/">
	<serverInfo protocol='SRU' version='1.1'>
		<host>
			mylibrary.ockham.org
		</host>
		<port>
			80
		</port>
		<database>
			sru-server.cgi
		</database>
	</serverInfo>
	<databaseInfo>
		<title lang='en' primary='true'>
			OCKHAM Alerting Service
		</title>
		<description lang='en' primary='true'>
			This is an (incompletely written) implementation of an SRU interface providing access to an OCKHAM Alerting service. The alerting service works by: 1) harvesting content from OAI providers, 2) saving the content to a centralized store, 3) indexing the content, and 4) providing access to the index. For more information about OCKHAM and the proposed alerting service see http://www.ockham.org/.
		</description>
		<author lang='en' primary='true'>
			Eric Lease Morgan, University Libraries of Notre Dame
		</author>
		<contact lang='en' primary='true'>
			Eric Lease Morgan ($email)
		</contact>
		<extent lang='en' primary='true'>
			At the present time, this database is not very complete; this database is an example implementation right now.
		</extent>
		<history lang='en' primary='true'>
			This implementation was begun September 5, 2004, and the last modification was on December 23, 2004. It's implementation is a part of a United States National Science Foundation Digital Library project called Ockham. See: http://www.ockham.org/.
		</history>
		<langUsage lang='en' primary='true' codes='en'>
			All the records in this database are in English.
		</langUsage>
		<implementation lang='en' primary='true'>
			This SRU server is written in Perl through the use of three API's. One for SRU (http://http://search.cpan.org/dist/SRU/). One for CQL (http://search.cpan.org/dist/CQL-Parser/), and one for the underlying indexer/search engine, swish-e (http://www.swish-e.org/).
		</implementation>
		<links>
			<link type='www'>
			http://mylibrary.ockham.org/
			</link>
			<link type='sru'>
			http://mylibrary.ockham.org/sru-server.cgi
			</link>
			<link type='icon'>
			http://mylibrary.ockham.org/favicon.ico
			</link>
		</links>
	</databaseInfo>
	<metaInfo>
		<dateModified>
			2004-12-23 16:12:04
		</dateModified>
	</metaInfo>
	<indexInfo>
		<set identifier='info:srw/cql-context-set/1/dc-v1.1' name='dc' />
		<index>
			<title>
				title
			</title>
			<map>
				<name set='dc'>
					title
				</name>
			</map>
		</index>
		<index>
			<title>
				creator
			</title>
			<map>
				<name set='dc'>
					creator
				</name>
			</map>
		</index>
		<index>
			<title>
				description
			</title>
			<map>
				<name set='dc'>
					description
				</name>
			</map>
		</index>
	</indexInfo>
	<schemaInfo>
		<schema identifier='info:srw/schema/1/dc-v1.1' sort='false' name='dc'>
			<title>
				Dublin Core
			</title>
		</schema>
	</schemaInfo>
	<configInfo>
		<default type='numberOfRecords'>
			250
		</default>
	</configInfo>
</explain>

EOF
}
1;
